package org.tio.sitexxx.service.model.main;

import org.tio.sitexxx.service.model.main.base.BaseWxWalletWithholdItems;

import java.util.Map;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-11-26 10:20
 *    desc   :
 * </pre>
 */
public class WxWalletWithholdItems extends BaseWxWalletWithholdItems<WxWalletWithholdItems> {
    public static final WxWalletWithholdItems dao = new WxWalletWithholdItems().dao();

    public static WxWalletWithholdItems mapToBean(Map<String, Object> map) {
        WxWalletWithholdItems withholdItems = new WxWalletWithholdItems();
        withholdItems._setOrPut(map);
        return withholdItems;
    }

    /**
     * 银行icon
     */
    public void setBanklogo(java.lang.String banklogo) {
        put("banklogo", banklogo);
    }

    /**
     * 银行icon
     */
    public java.lang.String getBanklogo() {
        return getStr("banklogo");
    }

    public void setBankwatermark(java.lang.String bankwatermark) {
        put("bankwatermark", bankwatermark);
    }

    public java.lang.String getBankwatermark() {
        return getStr("bankwatermark");
    }

    public void setBackcolor(java.lang.String backcolor) {
        put("backcolor", backcolor);
    }

    public java.lang.String getBackcolor() {
        return getStr("backcolor");
    }

    /**
     * 银行卡号
     */
    public void setCardno(java.lang.String cardno) {
        put("cardno", cardno);
    }

    /**
     * 银行卡号
     */
    public java.lang.String getCardno() {
        return getStr("cardno");
    }
}